
%define apuver 1

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Apache Portable Runtime Utility library
Name: 		apr-util
Version: 	1.2.12
Release: 	1
License: 	ASL 2.0
Group: 		System/Libraries
URL: 		http://apr.apache.org/
Source0: 	http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
Patch0: 	apr-util-1.2.2-exports.patch
Patch2: 	apr-util-1.2.7-pkgconf.patch
Patch3: 	apr-util-1.2.8-dbddso.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	autoconf, apr-devel >= 1.2.0
BuildRequires: 	openldap-devel, db-devel, expat-devel, e2fsprogs-devel

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines.  This library
contains additional utility interfaces for APR; including support
for XML, LDAP, database interfaces, URI parsing and more.

%package devel
Group: 		Development/Libraries
Summary: 	APR utility library development kit
Requires: 	apr-util = %{version}-%{release}, apr-devel, pkgconfig
Requires: 	openldap-devel, db-devel, expat-devel

%description devel
This package provides the support files which can be used to 
build applications using the APR utility library.  The mission 
of the Apache Portable Runtime (APR) is to provide a free 
library of C data structures and routines.

%package mysql
Group: 		Development/Libraries
Summary: 	APR utility library MySQL DBD driver
BuildRequires: 	mysql-devel
Requires: 	apr-util = %{version}-%{release}

%description mysql
This package provides the MySQL driver for the apr-util DBD
(database abstraction) interface.

%package sqlite
Group: 		Development/Libraries
Summary: 	APR utility library SQLite DBD driver
BuildRequires: 	sqlite-devel >= 3.0.0
Requires: 	apr-util = %{version}-%{release}

%description sqlite
This package provides the SQLite driver for the apr-util DBD
(database abstraction) interface.

%prep
%setup -q
%patch0 -p1 -b .exports
%patch2 -p1 -b .pkgconf
%patch3 -p1 -b .dbddso

%build
CPP=cpp
export CPP

autoheader && autoconf
%configure --with-apr=%{_prefix} \
        --includedir=%{_includedir}/apr-%{apuver} \
        --with-ldap --without-gdbm \
        --with-sqlite3 --without-pgsql --with-mysql \
        --with-berkeley-db \
        --without-sqlite2 \
        --enable-dbd-dso
make %{?_smp_mflags} CC=gcc LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT CC=gcc LIBTOOL=/usr/bin/libtool

# Unpackaged files; remove the static libaprutil
rm -f $RPM_BUILD_ROOT%{_libdir}/aprutil.exp \
      $RPM_BUILD_ROOT%{_libdir}/libapr*.a

# And remove the reference to the static libaprutil from the .la
# file.
sed -i '/^old_library/s,libapr.*\.a,,' \
      $RPM_BUILD_ROOT%{_libdir}/libapr*.la

# Remove unnecessary exports from dependency_libs
sed -ri '/^dependency_libs/{s,-l(pq|sqlite[0-9]|rt|dl|uuid) ,,g}' \
      $RPM_BUILD_ROOT%{_libdir}/libapr*.la

# Trim libtool DSO cruft
rm -f $RPM_BUILD_ROOT%{_libdir}/apr-util-%{apuver}/*.*a

%check
# Run the less verbose test suites
export MALLOC_CHECK_=2 MALLOC_PERTURB_=$(($RANDOM % 255 + 1))
cd test
make %{?_smp_mflags} testall CC=gcc LIBTOOL=/usr/bin/libtool
# testall breaks with DBD DSO; ignore
./testall -v -q || true
./testall testrmm
./testall testdbm

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE NOTICE
%{_libdir}/libaprutil-%{apuver}.so.*
%dir %{_libdir}/apr-util-%{apuver}

%files mysql
%defattr(-,root,root,-)
%{_libdir}/apr-util-%{apuver}/apr_dbd_mysql*

%files sqlite
%defattr(-,root,root,-)
%{_libdir}/apr-util-%{apuver}/apr_dbd_sqlite*

%files devel
%defattr(-,root,root,-)
%{_bindir}/apu-%{apuver}-config
%{_libdir}/libaprutil-%{apuver}.*a
%{_libdir}/libaprutil-%{apuver}.so
%{_includedir}/apr-%{apuver}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Jan 28 2008 Christian Metzen <metzench@ccux-linux.de> 1.2.12-1
- Initial release
